<?xml version='1.0' encoding='iso-8859-1' ?>

<testcases repeat="1">

<case
    id="1"
    description1="Blocket controlpanel - login"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/controlpanel"
    method="post"
    postbody="username=kjell&cpasswd=blocket&login=Logga+in"
    verifypositive="Location: /controlpanel"
    verifypositive1="Set-Cookie: token_expire=.*"
/>

<case
    id="2"
    description1="Blocket controlpanel - login"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/controlpanel"
    verifypositive="ndra annons"
/>

<case
    id="3"
    description1="Blocket controlpanel - edit ad"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/controlpanel?m=adminad&a=edit_ad"
    verifypositive="ndra annons"
/>

<case
    id="4"
    description1="Blocket controlpanel - edit admin"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai?action=&id=6431717"
    verifypositive="Location: /ai/init/\?action=&id=6431717"
    verifyresponsecode="302"
/>


<case
    id="5"
    description1="Blocket controlpanel - edit admin"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/init/?action=&id=6431717"
    verifypositive="Location: /ai/load/0\?action=&id=6431717"
    verifyresponsecode="302"
/>

<case
    id="6"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/load/0?action=&id=6431717"
    verifypositive="Ta bort annonsen"
    verifypositive2="Damcykel"
    verifynegative="Pris 10 kr"
/>

<case
    id="7"
    description1="Blocket controlpanel - Load ad"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/action/0"
    method="post"
    postbody="cmd=edit&continue=Forts%26tt"
    verifypositive="Location: /ai/form/0"
    verifyresponsecode="302"
/>

<case
    id="8"
    description1="Edit-page"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/form/0"
    verifypositive="Inloggad som kjell"
    verifypositive2="Damcykel"
/>

<case
    id="9"
    description1="Blocket controlpanel - Send edited fields"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/verify/0"
    method="post"
    postbody="region=11&area=121&company_ad=0&name=Jonas+Radlund&email=svara.inte@blocket.se&phone=0709-745747&category_group=1020&no_licenseplate=1&vehicle_type=0&boat_type=0&clothing_type=0&country=0&type=s&subject=Audi+A4+Avant+1.8T+rubrikforandring&regdate=1999&mileage=26&gearbox=1&fuel=2&rooms=0&beds=0&size=&periodic_fee=&monthly_rent=&max_rent=&zipcode=&address=&body=Svensksald+valvardad+Audi+A4+1.8T+Avant+saljes.%0D%0A15.100+mil.+Service+gjord+inkl.+byte+av+kamrem.%0D%0A-CD+radio%0D%0A-ABS%0D%0A-ACC/Klimatanlaggning%0D%0A-Rails%0D%0A-Rokfri%0D%0A-Dubbfria+vinterdack+1sasong+%0D%0A-Sommardack+1sasong+&weekly_rent_peakseason=&weekly_rent_offseason=&price=80000&infopage=&infopage_title=&validate=Kontrollera+annonsen"
    verifypositive="Location: /ai/preview/0"
    verifyresponsecode="302"
/>

<case
    id="10"
    description1="Edit-page"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/preview/0"
    verifypositive="80 000"
    verifypositive2="0709-745747"
/>

<case
    id="11"
    description1="Edit-page"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/preview/0?sp=1"
    verifypositive="gissat"
/>

<case
    id="12"
    description1="Blocket controlpanel - Send edited fields"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/create/0"
    method="post"
    postbody="no_salesmen=1&passwd=11111&passwd_ver=11111&create=1"
    verifypositive="Location: /ai/confirm/0"
    verifyresponsecode="302"
/>

<case
    id="13"
    description1="Edit-page"
    url="https://%REGRESS_HOSTNAME%:%REGRESS_HTTPS_PORT%/ai/confirm/0"
    verifypositive="uppdateras inom en halvtimme"
    verifynegative="beh.*ver betalas"
/>

</testcases>
